MCDParserInternal::State Struct Reference

Internal: the state of a MCDParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

std::map< int, MWAWEntry > | m_idPictureMap
| the picture page map More...
std::vector< Index > | m_indexList
| the index list More...
std::map< int, MWAWFont > | m_idFontMap
| a map id to index font More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...

## Detailed Description

Internal: the state of a MCDParser.

## Constructor & Destructor Documentation

MCDParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int MCDParserInternal::State::m_actPage

the actual page

std::map<int, MWAWFont> MCDParserInternal::State::m_idFontMap

a map id to index font

std::map<int,MWAWEntry> MCDParserInternal::State::m_idPictureMap

the picture page map

std::vector<Index> MCDParserInternal::State::m_indexList

the index list

int MCDParserInternal::State::m_numPages

the number of page of the final document

The documentation for this struct was generated from the following file:

- MCDParser.cxx